Validate import storage

Validate a specific Azure import storage connection.

Authentication

AuthorizationToken
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example: <br><pre><code class="language-bash">curl https://label-studio-host/api/projects -H "Authorization: Token [your-token]"</code></pre>

Request

This endpoint expects an object.
projectintegerRequired
A unique integer value identifying this project.
account_keystring or nullOptional
Azure Blob account key
account_namestring or nullOptional
Azure Blob account name
containerstring or nullOptional
Azure blob container
descriptionstring or nullOptional
Cloud storage description
idintegerOptional
Storage ID. If set, storage with specified ID will be updated
prefixstring or nullOptional
Azure blob prefix name
presignbooleanOptionalDefaults to true
presign_ttlintegerOptional0-32767

Presigned URLs TTL (in minutes)

recursive_scanboolean or nullOptional
Perform recursive scan over the container content
regex_filterstring or nullOptional
Cloud storage regex for filtering objects
synchronizablebooleanOptionalDefaults to true
titlestring or nullOptional<=256 characters
Cloud storage title
use_blob_urlsbooleanOptional
Interpret objects as BLOBs and generate URLs

Response

Validation successful